Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Class IEssOperation.EEssOperationType

    java.lang.Object
      com.essbase.api.dataquery.IEssOperation.EEssOperationType

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssOperation

public static final class IEssOperation.EEssOperationType
extends java.lang.Object
implements IEssEnum

The EEssOperationType class is an enumeration of operation types.

Field Summary
`static IEssOperation.EEssOperationType` | `CALC` Operation type: Calculate using script.
`static IEssOperation.EEssOperationType` | `CALC_FILE` Operation type: Calculate using script from file.
`static int` | `CALC_FILE_INT_VALUE` Operation type: Calculate using script from file.
`static int` | `CALC_INT_VALUE` Operation type: Calculate using script.
`static IEssOperation.EEssOperationType` | `CASCADE`
`static int` | `CASCADE_INT_VALUE`
`static IEssOperation.EEssOperationType` | `CONDITIONAL_RETRIEVE` Operation type: Conditional retrieve.
`static int` | `CONDITIONAL_RETRIEVE_INT_VALUE` Operation type: Conditional retrieve.
`static IEssOperation.EEssOperationType` | `CONDITIONAL_ZOOM_IN` Operation type: Conditional zoom in.
`static int` | `CONDITIONAL_ZOOM_IN_INT_VALUE` Operation type: Conditional zoom in.
`static IEssOperation.EEssOperationType` | `KEEP_ONLY` Operation type: Keep only.
`static int` | `KEEP_ONLY_INT_VALUE` Operation type: Keep only.
`static IEssOperation.EEssOperationType` | `LOCK` Operation type: Lock.
`static int` | `LOCK_INT_VALUE` Operation type: Lock.
`static IEssOperation.EEssOperationType` | `MDX_QUERY` Operation type: MDX Query.
`static int` | `MDX_QUERY_INT_VALUE` Operation type: MDX Query.
`static IEssOperation.EEssOperationType` | `PIVOT` Operation type: Pivot.
`static int` | `PIVOT_INT_VALUE` Operation type: Pivot.
`static IEssOperation.EEssOperationType` | `REMOVE_ONLY` Operation type: Remove only.
`static int` | `REMOVE_ONLY_INT_VALUE` Operation type: Remove only.
`static IEssOperation.EEssOperationType` | `REPORT` Operation type: Report.
`static IEssOperation.EEssOperationType` | `REPORT_FILE` Operation type: Report file.
`static int` | `REPORT_FILE_INT_VALUE` Operation type: Report file.
`static int` | `REPORT_INT_VALUE` Operation type: Report.
`static IEssOperation.EEssOperationType` | `RETRIEVE` Operation type: Retrieve.
`static int` | `RETRIEVE_INT_VALUE` Operation type: Retrieve.
`static IEssOperation.EEssOperationType` | `UNDO` Operation type: Undo.
`static int` | `UNDO_INT_VALUE` Operation type: Undo.
`static IEssOperation.EEssOperationType` | `UNLOCK` Operation type: Unlock.
`static int` | `UNLOCK_INT_VALUE` Operation type: Unlock.
`static IEssOperation.EEssOperationType` | `UPDATE` Operation type: Update.
`static int` | `UPDATE_INT_VALUE` Operation type: Update.
`static IEssOperation.EEssOperationType` | `ZOOM_IN` Operation type: Zoom-in.
`static int` | `ZOOM_IN_INT_VALUE` Operation type: Zoom in.
`static IEssOperation.EEssOperationType` | `ZOOM_OUT` Operation type: Zoom-out.
`static int` | `ZOOM_OUT_INT_VALUE` Operation type: Zoom out..

Constructor Summary
`IEssOperation.EEssOperationType()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssOperation.EEssOperationType` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssOperation.EEssOperationType` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssOperation.EEssOperationType[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REPORT

    public static final IEssOperation.EEssOperationType REPORT

  Operation type: Report.

### RETRIEVE

    public static final IEssOperation.EEssOperationType RETRIEVE

  Operation type: Retrieve.

### KEEP_ONLY

    public static final IEssOperation.EEssOperationType KEEP_ONLY

  Operation type: Keep only.

### REMOVE_ONLY

    public static final IEssOperation.EEssOperationType REMOVE_ONLY

  Operation type: Remove only.

### ZOOM_IN

    public static final IEssOperation.EEssOperationType ZOOM_IN

  Operation type: Zoom-in.

### ZOOM_OUT

    public static final IEssOperation.EEssOperationType ZOOM_OUT

  Operation type: Zoom-out.

### LOCK

    public static final IEssOperation.EEssOperationType LOCK

  Operation type: Lock.

### UNLOCK

    public static final IEssOperation.EEssOperationType UNLOCK

  Operation type: Unlock.

### PIVOT

    public static final IEssOperation.EEssOperationType PIVOT

  Operation type: Pivot.

### UPDATE

    public static final IEssOperation.EEssOperationType UPDATE

  Operation type: Update.

### UNDO

    public static final IEssOperation.EEssOperationType UNDO

  Operation type: Undo.

### REPORT_FILE

    public static final IEssOperation.EEssOperationType REPORT_FILE

  Operation type: Report file.

### CONDITIONAL_RETRIEVE

    public static final IEssOperation.EEssOperationType CONDITIONAL_RETRIEVE

  Operation type: Conditional retrieve.

### CONDITIONAL_ZOOM_IN

    public static final IEssOperation.EEssOperationType CONDITIONAL_ZOOM_IN

  Operation type: Conditional zoom in.

### CALC

    public static final IEssOperation.EEssOperationType CALC

  Operation type: Calculate using script.

### CALC_FILE

    public static final IEssOperation.EEssOperationType CALC_FILE

  Operation type: Calculate using script from file.

### CASCADE

    public static final IEssOperation.EEssOperationType CASCADE

### MDX_QUERY

    public static final IEssOperation.EEssOperationType MDX_QUERY

  Operation type: MDX Query.

### REPORT_INT_VALUE

    public static final int REPORT_INT_VALUE

  Operation type: Report.

  See Also:
    Constant Field Values

### RETRIEVE_INT_VALUE

    public static final int RETRIEVE_INT_VALUE

  Operation type: Retrieve.

  See Also:
    Constant Field Values

### KEEP_ONLY_INT_VALUE

    public static final int KEEP_ONLY_INT_VALUE

  Operation type: Keep only.

  See Also:
    Constant Field Values

### REMOVE_ONLY_INT_VALUE

    public static final int REMOVE_ONLY_INT_VALUE

  Operation type: Remove only.

  See Also:
    Constant Field Values

### ZOOM_IN_INT_VALUE

    public static final int ZOOM_IN_INT_VALUE

  Operation type: Zoom in.

  See Also:
    Constant Field Values

### ZOOM_OUT_INT_VALUE

    public static final int ZOOM_OUT_INT_VALUE

  Operation type: Zoom out..

  See Also:
    Constant Field Values

### LOCK_INT_VALUE

    public static final int LOCK_INT_VALUE

  Operation type: Lock.

  See Also:
    Constant Field Values

### UNLOCK_INT_VALUE

    public static final int UNLOCK_INT_VALUE

  Operation type: Unlock.

  See Also:
    Constant Field Values

### PIVOT_INT_VALUE

    public static final int PIVOT_INT_VALUE

  Operation type: Pivot.

  See Also:
    Constant Field Values

### UPDATE_INT_VALUE

    public static final int UPDATE_INT_VALUE

  Operation type: Update.

  See Also:
    Constant Field Values

### UNDO_INT_VALUE

    public static final int UNDO_INT_VALUE

  Operation type: Undo.

  See Also:
    Constant Field Values

### REPORT_FILE_INT_VALUE

    public static final int REPORT_FILE_INT_VALUE

  Operation type: Report file.

  See Also:
    Constant Field Values

### CONDITIONAL_RETRIEVE_INT_VALUE

    public static final int CONDITIONAL_RETRIEVE_INT_VALUE

  Operation type: Conditional retrieve.

  See Also:
    Constant Field Values

### CONDITIONAL_ZOOM_IN_INT_VALUE

    public static final int CONDITIONAL_ZOOM_IN_INT_VALUE

  Operation type: Conditional zoom in.

  See Also:
    Constant Field Values

### CALC_INT_VALUE

    public static final int CALC_INT_VALUE

  Operation type: Calculate using script.

  See Also:
    Constant Field Values

### CALC_FILE_INT_VALUE

    public static final int CALC_FILE_INT_VALUE

  Operation type: Calculate using script from file.

  See Also:
    Constant Field Values

### CASCADE_INT_VALUE

    public static final int CASCADE_INT_VALUE

See Also:
  Constant Field Values

### MDX_QUERY_INT_VALUE

    public static final int MDX_QUERY_INT_VALUE

  Operation type: MDX Query.

  See Also:
    Constant Field Values

Constructor Detail

### IEssOperation.EEssOperationType

    public IEssOperation.EEssOperationType()

Method Detail

### sm_fromString

    public static IEssOperation.EEssOperationType sm_fromString(java.lang.String strValue)
                                                         throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssOperation.EEssOperationType sm_fromInt(int intValue)
                                                      throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssOperation.EEssOperationType[] sm_values()
                                                       throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD